/*
Theme Name: SocialAdvisor - Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description:  Child theme de Hello Elementor desarrollado por Social Advisor.
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0
Text Domain: socialadvisor-child-theme
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Parent stylesheet should be loaded from functions.php not using @import */

/* General */
.tjunto {
    display: inline-block;
}

.t-primary {
    color: var(--e-global-color-primary) !important;
}

.t-secondary {
    color: var(--e-global-color-secondary) !important;
}

a:focus {
    outline: none !important;
}

.elementor-widget-text-editor ul,
.elementor-widget-text-editor ol {
    padding-inline-start: 20px !important;
}

.elementor-widget-text-editor ul:not(:last-child),
.elementor-widget-text-editor ol:not(:last-child) {
    margin-bottom: 20px !important;
}

.elementor-widget-text-editor ul li:not(:last-child),
.elementor-widget-text-editor ol li:not(:last-child) {
    margin-bottom: 10px !important;
}

.elementor-icon-box-title {
    margin-top: 0 !important;
}

/* Menu Móvil */
.menu-movil .elementor-nav-menu>li {
    border-bottom: 1px solid #dddddd;
}

.menu-movil .elementor-nav-menu>li a.has-submenu {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.menu-movil .elementor-nav-menu--main .elementor-nav-menu>li.menu-item:hover ul.elementor-nav-menu--dropdown {
    position: relative !important;
    display: block !important;
    width: 100% !important;
    margin-top: 0 !important;
    border: none !important;
    border-radius: 0 !important;
}

/* WooCommerce */
body.single-product .product_meta {
    display: none !important;
}

/* Mejora de accesibilidad y contraste en GTranslate */
.gt_float_switcher .gt-selected,
.gt_float_switcher .gt_options,
.gt_float_switcher .gt_options a,
.gt_float_switcher .gt-selected .gt-current-lang {
    background-color: #000 !important;
    color: #fff !important;
    border-radius: 0px;
    padding: 6px 10px;
    display: flex;
    align-items: center;
    gap: 6px;
}

/* Código de idioma */
.gt-lang-code {
    color: #fff !important;
}

/* Bandera (opcional para añadir borde) */
.gt_float_switcher img {
    border: 1px solid #fff;
    border-radius: 0px;
}